# Remove-RASSite.md

## NAME

Remove-RASSite

## SYNOPSIS

Removes a site from the RAS farm.

## SYNTAX

**Remove-RASSite** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASSite** \[-[InputObject](#inputobject)] *(*[*Site*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASSite** \[[Name](#name-string)] *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes a sites from the RAS farm.

## PARAMETERS

## Name (string)

The name of the site to remove from the farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the site to remove from the farm.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Site](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site.md))

An object of type Site identifying the site to be removed from the farm.

To obtain the object, use the Get-Site cmdlet specifying the desired site.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Site](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASSite -Name "My Site"

Removes the specified site from the RAS farm.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASSite -Id 11

Removes the site specified by ID. To obtain the site ID, use the Get-RASSite cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Remove-RASSite -InputObject $site

Removes the site specified by the $site variable, which must be an object of type Site.

To obtain the object, use the Get-RASSite cmdlet specifying the desired site.\
\*\*---------- EXAMPLE 4 ----------

Get-RASSite -Id 11 | Remove-RASSite

Removes the site specified by an object obtained from the pipeline output.

## RELATED LINKS

* [Get-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rassite.md)
* [Set-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rassite.md)
* [Invoke-RASSitePromoteToLicensing](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rassitepromotetolicensing.md)
* [Invoke-RASApply](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasapply.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rassite.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
